sdl12-compat (1.2.76-1) unstable; urgency=medium

  * New upstream release
  * d/p/Revert-video-Don-t-tear-everything-down-in-SDL_SetVideoMo.patch:
    Drop workaround for #1127025, replaced with a better upstream solution
  * d/tests: Use pkgconf in preference to pkg-config
  * d/control: Add Breaks on older sdl2-compat to ensure it migrates first.
    After the upstream fix for #1127025, libsdl-perl gets a different
    failure mode in its automated test when testing against sdl2-compat
    2.32.64. We can avoid this by making sure some tangentially related
    bug fixes are present in sdl2-compat.
  * d/control: Standards-Version: 4.7.4 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sat, 04 Apr 2026 15:15:11 +0100

sdl12-compat (1.2.74-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/p/Revert-video-Don-t-tear-everything-down-in-SDL_SetVideoMo.patch:
    Temporarily revert an upstream change that addressed a regression when
    using sdl2-compat with SDL 3.4.x, but regresses "classic" SDL2. We can
    put this back when a better solution is found, or when we are ready to
    switch to sdl2-compat as the default implementation of SDL 2.
    (Mitigates: #1127514; Closes: #1127025)

  [ Antoine Le Gonidec ]
  * Drop myself from Uploaders

 -- Simon McVittie <smcv@debian.org>  Sat, 21 Feb 2026 19:06:49 +0000

sdl12-compat (1.2.74-1) unstable; urgency=medium

  * New upstream release
  * d/control: Standards-Version: 4.7.3
    - Remove Priority field, no longer needed
  * d/upstream-signing-key.asc: Accept Sam's new signing key

 -- Simon McVittie <smcv@debian.org>  Wed, 04 Feb 2026 18:23:07 +0000

sdl12-compat (1.2.72-1) unstable; urgency=medium

  * New upstream release
  * Drop patches that were included in the upstream release

 -- Simon McVittie <smcv@debian.org>  Wed, 03 Dec 2025 14:56:09 +0000

sdl12-compat (1.2.70-3) unstable; urgency=medium

  * d/p/Revert-Don-t-include-glu.h-by-default.patch:
    Add patch from upstream to include <GL/glu.h> as was historically done,
    reverting a change in 1.2.70 that caused several older games to FTBFS
    (Closes: #1120174, #1120175, #1120181, #1120183, #1120186, #1120195)
    (Closes: #1120196, #1120199, #1120207, #1120218, #1120224, #1120225)

 -- Simon McVittie <smcv@debian.org>  Thu, 06 Nov 2025 21:43:09 +0000

sdl12-compat (1.2.70-2) unstable; urgency=medium

  * d/patches: Add post-release bug fixes up to release-1.2.70-3-gb667924.
    In particular this should fix the ci.debian.net regressions in
    libsdl-perl and onscripter.

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Nov 2025 16:17:58 +0000

sdl12-compat (1.2.70-1) unstable; urgency=medium

  * New upstream release
  * d/watch*: Update
  * d/gbp.conf: Merge from upstream release tag when importing
  * d/gbp.conf, d/control: Revert branch changes made for snapshots
  * d/p/test-Optionally-install-manual-tests-for-as-installed-tes.patch:
    Drop patch, applied upstream
  * d/libsdl1.2debian.symbols: Require 1.2.70 for new symbols
  * Remove transitional packages.
    They were released in Debian 13 and Ubuntu 24.04 LTS, and we do not
    support skipping a major release, so they have served their purpose
    for smooth upgrades.
    Nothing in Debian depends on libsdl1.2-compat or
    libsdl1.2-compat-shim.
    A few packages build-depend on libsdl1.2-compat-dev, but libsdl1.2-dev
    Provides that name.
  * d/libsdl1.2debian.install, d/rules: Stop tracking ABI version
    explicitly.
    Now that libsdl1.2-compat no longer exists, we can use a wildcard
    instead of needing to hard-code the specific ABI minor version.
  * d/salsa-ci.yml: Add

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Oct 2025 16:56:04 +0000

sdl12-compat (1.2.69~git20251029~eee7543-1) experimental; urgency=medium

  * New upstream snapshot, commit release-1.2.68-78-geee7543
    (release candidate for 1.2.70)
  * d/p/test-Optionally-install-manual-tests-for-as-installed-tes.patch:
    Add proposed patch teaching the upstream build system to install tests
  * d/rules, d/control, d/libsdl1.2-compat-tests.install:
    Let the upstream build system install the manual tests.
    This means CMake will clean up the RPATHs for us, so we no longer
    need chrpath.

 -- Simon McVittie <smcv@debian.org>  Thu, 30 Oct 2025 13:37:59 +0000

sdl12-compat (1.2.69~git20251027~ca4b3f7-1) experimental; urgency=medium

  * New upstream snapshot, commit release-1.2.68-69-gca4b3f7
  * d/libsdl1.2-compat-tests.install: Update test paths
  * d/control, d/rules: Use chrpath to remove unwanted RPATHs from tests
  * d/source/lintian-overrides: Update

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Oct 2025 20:47:08 +0000

sdl12-compat (1.2.69~git20251026~20ab160-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream snapshot, commit release-1.2.68-66-g20ab160
  * d/copyright: Update

  [ Antoine Le Gonidec ]
  * Add myself to Uploaders, I am going to need this through ./play.it
    for the foreseeable future.

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Oct 2025 15:16:21 +0000

sdl12-compat (1.2.69~git20250930~6152f8d-1) experimental; urgency=medium

  * New upstream snapshot, release-1.2.68-54-g6152f8d
  * d/p/sdl.m4-Call-PKG_CONFIG-rather-than-hard-coding-pkg-config.patch:
    Drop patch, applied upstream
  * d/copyright: Update
  * d/libsdl1.2debian.symbols: Update
  * d/control: Use debian/snapshots git branch
  * d/control, d/rules: Use cmake+ninja for build
  * d/control, d/rules: ${sdl12compat:Takeover-Version} doesn't need
    to vary. The transition from "classic" SDL 1.2 to sdl12-compat
    happened in Debian 13.
  * d/watch*: Convert to uscan format v5
  * d/upstream/signing-key.asc: Add.
    This is only a 1024-bit DSA key, but it's better than nothing.
  * Reformat packaging files with debputy
  * Standards-Version: 4.7.2 (no changes required)
  * Remove Rules-Requires-Root, not needed since Debian 13

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Sep 2025 21:52:14 +0100

sdl12-compat (1.2.68-3) unstable; urgency=medium

  * d/control: Make the Maintainer consistent with other SDL packages

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Mar 2025 19:34:58 +0000

sdl12-compat (1.2.68-2) unstable; urgency=medium

  * d/p/sdl.m4-Call-PKG_CONFIG-rather-than-hard-coding-pkg-config.patch:
    Add patch from upstream git to fix cross-compilation of ltris and
    possibly others. Thanks to Helmut Grohne (Closes: #1059749)

 -- Simon McVittie <smcv@debian.org>  Tue, 02 Jan 2024 15:09:33 +0000

sdl12-compat (1.2.68-1) unstable; urgency=medium

  * New upstream stable release
    - Functionally equivalent to 1.2.66

 -- Simon McVittie <smcv@debian.org>  Tue, 26 Sep 2023 19:57:49 +0100

sdl12-compat (1.2.66-1) unstable; urgency=medium

  * New upstream prerelease (1.2.68 rc1)
    - Avoid reporting unscaled mouse coordinates, fixing mouse offset in
      Sid Meier's Alpha Centauri
    - Make it possible to limit bits-per-pixel to a value from a hint/quirk
    - Quirk workaround for: Hyperspace Delivery Boy
  * d/gbp.conf: Back to the debian/latest branch

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Sep 2023 09:27:02 +0100

sdl12-compat (1.2.64+git20230904+g9359cfa-1) experimental; urgency=medium

  * New upstream git snapshot
    - Improve compatibility with games that incorrectly try to free the
      video surface (Closes: #1041416)
    - Add a hint/quirk for forcing XInitThreads to be called
    - Add quirks table entries for Mark of the Ninja (Closes: #1051106)
      and Trine
    - Fix return value of SDL_SetPalette(): 0 on error, 1 on success
    - Fix a crash if SDL_LoadWAV() fails to open the file
    - Improve compile-time robustness with newer SDL2
    - Update included copy of dr_mp3 (no functional changes)
    - macOS- and OS/2-specific changes not relevant to Debian
  * d/p/SDL_config.h-Assume-that-all-platforms-have-ISO-C89-stdde.patch,
    d/p/include-Use-struct-private_hwdata-incomplete-type-for-API.patch,
    d/p/SDL_config-Define-HAVE_MALLOC_H-on-glibc-based-platforms.patch:
    Drop patches, applied upstream
  * d/gbp.conf, d/watch.git-snapshots: Configure for git snapshots

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Sep 2023 16:06:09 +0100

sdl12-compat (1.2.64-5) unstable; urgency=medium

  * Release to unstable (transition: #1039911)
    - The source package doesn't contain X11 extensions (Closes: #465780)
    - libsdl1.2debian no longer links to the GPL libcaca library
      (Closes: #871807)
    - This version of SDL_opengl.h no longer includes glext.h
      (Closes: #925324)
    - This finally makes libsdl1.2-dev multiarch co-installable
      (Closes: #932372)

 -- Simon McVittie <smcv@debian.org>  Tue, 11 Jul 2023 21:43:08 +0100

sdl12-compat (1.2.64-4+exp1) experimental; urgency=medium

  * Take over libsdl1.2debian, libsdl1.2-dev from SDL 1.2 classic.
    This makes sdl12-compat into Debian's default implementation of
    the SDL 1.2 API and ABI. libsdl1.2-compat{,-shim,-dev} become
    transitional packages; for full compatibility with the way
    libsdl1.2-compat used to work, it still contains symlinks in
    /usr/lib/*/sdl12-compat, which can be LD_PRELOADed or prepended to the
    LD_LIBRARY_PATH.
  * Upload to experimental until we're ready to do this transition

 -- Simon McVittie <smcv@debian.org>  Thu, 29 Jun 2023 12:28:24 +0100

sdl12-compat (1.2.64-4) unstable; urgency=medium

  * Add patches from upstream for better bug-for-bug compatibility with
    recompiling SDL 1.2 code
    - d/p/SDL_config.h-Assume-that-all-platforms-have-ISO-C89-stdde.patch:
      Always include <stddef.h>, which berusky assumes we will do
      (mitigates: #1039439)
    - d/p/include-Use-struct-private_hwdata-incomplete-type-for-API.patch:
      Use the same naming for a private struct member that asc assumes we
      will do (mitigates: #1039574)
    - d/p/SDL_config-Define-HAVE_MALLOC_H-on-glibc-based-platforms.patch:
      Define HAVE_MALLOC_H, which freespace2 assumes we will do
      (mitigates: #1012232)
  * d/p/debian/sdl-config-Remove-libdir-for-multiarch-co-installability.patch:
    Move to debian subdirectory to distinguish this non-upstreamable patch

 -- Simon McVittie <smcv@debian.org>  Thu, 29 Jun 2023 10:55:32 +0100

sdl12-compat (1.2.64-3) unstable; urgency=medium

  * d/control: libsdl1.2-compat-dev depends on GL, GLU headers.
    <SDL/SDL_opengl.h> depends on these, and some SDL-dependent packages
    like achilles and antigrav have also traditionally assumed that the
    SDL -dev package would arrange for GL headers to be provided.
    (Mitigates: #1039072)
  * d/control: libsdl1.2-compat-dev Depends on pkgconf.
    This is a workaround for packages that assumed that a dependency
    on libsdl1.2-dev would pull in pkg-config and therefore provide the
    pkg.m4 macros, such as adplay.
    (Mitigates: #1039074)
  * d/control: Make libsdl1.2-compat-dev depend on libsdl2-dev.
    This is not actually a real dependency, but it's an easy way to pull
    in a lot of the packages that libsdl1.2-dev traditionally depended
    on without having to list them explicitly, making it less likely
    that dependent packages will FTBFS with libsdl1.2-compat-dev.

 -- Simon McVittie <smcv@debian.org>  Mon, 26 Jun 2023 11:09:53 +0100

sdl12-compat (1.2.64-2) unstable; urgency=medium

  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Jun 2023 14:23:44 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libsdl1.2debian`.
